/**
* \file joystick_SDL.h
* \author basile.graf@epfl.ch
* 
* This file contains stuff related to the joystick. Cross-platform thanks to SDL.
*/


#ifndef JOYSTICK_SDL_H_DEF
#define JOYSTICK_SDL_H_DEF


int joystick_init();


void joystick_getXYZR(float *X, float *Y, float *Z, float *R, bool doX, bool doY, bool doZ, bool doR);



void joystick_close();

int is_there_a_joystick();

#endif

